Skip to main content
GET
/
users
/
{user_guid}
/
budgets
/
{budget_guid}
Read a specific budget
curl --request GET \
  --url https://int-api.mx.com/users/{user_guid}/budgets/{budget_guid} \
  --header 'Accept-Version: <accept-version>' \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://int-api.mx.com/users/{user_guid}/budgets/{budget_guid}"

headers = {
    "Accept-Version": "<accept-version>",
    "Authorization": "Basic <encoded-value>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};

fetch('https://int-api.mx.com/users/{user_guid}/budgets/{budget_guid}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "budget": {
    "amount": 153,
    "category_guid": "CAT-b6d61a19-30a7-e852-2703-bdfb4072289e",
    "created_at": "2025-02-13T18:08:00+00:00",
    "guid": "BGT-6ca0e3ef-c65e-4655-8b5a-275a3c19c21d",
    "is_exceeded": true,
    "is_off_track": true,
    "metadata": "some metadata",
    "name": "Food & Dining",
    "off_track_percentage": 123,
    "parent_guid": "<string>",
    "percent_spent": 1276.34,
    "projected_spending": 3562.4,
    "revision": 561,
    "transaction_total": 1952.8,
    "updated_at": "2022-06-14T21:17:11+00:00",
    "user_guid": "USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
  }
}

Authorizations

Authorization
string
header
required

The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.

Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.

curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Headers

Accept-Version
string
default:v20250224
required

MX Platform API version.

Example:

"v20250224"

Path Parameters

user_guid
string
required

The unique identifier for a user, beginning with the prefix USR-.

budget_guid
string
required

The unique identifier for the budget. Defined by MX.

Response

200 - application/json

OK

budget
object